include<LX15D.scad>;
module coxa_collision(femurOffset) {
    translate([ 5, 0, 0 ]) cube([ 40, 30, 50 ], center = true);

    translate([ femurOffset[0] / 2, 0, 0 ])
        cube([ femurOffset[0] + 25, 40, 30 ], center = true);
}

module coxa(femurOffset, expand = 0) {
    //    color("red") coxa_holder(femurOffset);

    translate(femurOffset) rotate([ 90, 0, 180 ]) {
        rotate([ 0, 90, 0 ]) tile_screw_pos(T24) {
            Mscrew(M2L8C);
            translate([ 0, 0, Tt(T24) + Mnut_h(M2N) + Tt(T24) + 5 * expand ])
                Mnut(M2N);
        }

        translate([ -4 * expand, 0, 0 ]) LX15D();
        translate([ -2 * expand, 0, 0 ]) LX15D_U(expand = expand);
    }
    rotate([ 0, 0, 180 ]) LX15D_BU(expand = expand);
}
$fa = 0.5;
$fs = 0.5;

coxa([ 60, 0, 0 ], expand = 0);
