

include <../base.scad>;
include <../config.scad>;
include <config.scad>;
include <../servo/config.scad>;
use <../servo/sg9.scad>;

module servo_strengthen()   
difference(){
 union(){
     translate([0, mg90s_turret_diameter/2-mg90s_servo_height+mg90s_frame_v_offset, 0]){
         
         hull()
         for(x=[-mg90s_servo_width/2, mg90s_servo_width*3/2 + spacing])
             for(z=[-t - 1, -mg90s_servo_height])
                 translate([x,0,z])
                    rotate([90,0,0])
                        cylinder(r=t, h=h);
         
          for(x=[0, mg90s_servo_width +  spacing])
          translate([x, 0,   screw_offset])
            rotate([90,0,0])
                cylinder(r=t, h=h);
     }
     
     translate([0, 0, -mg90s_servo_height])
     rotate([180, 0, 0])
        cylinder(d=screw_d + t*2, h=mount_h);
 }
 
     for(x=[-mg90s_servo_width/2, mg90s_servo_width*3/2 + spacing])
             translate([x,0,-mg90s_servo_height])
                rotate([90,0,0])
                    cylinder(r=1, h=100, center=true);
 
     rotate([180, 0, 0])
        cylinder(d=screw_d, h=100, center=true);
 
   translate([mg90s_servo_width +  spacing, 0,screw_offset])
        rotate([90,0,0])
            cylinder(d=mg90s_mounting_hole_diameter, h=100, center=true);
 
     translate([-mg90s_servo_width/2, -50, -mg90s_servo_height])
        cube([mg90s_servo_width*2 + spacing, 100, 100]);
 }
 